<?php

namespace Utopia\Domains;

class Contact
{

    public $firstname;
    public $lastname;
    public $phone;
    public $email;
    public $address1;
    public $address2;
    public $address3;
    public $city;
    public $state;
    public $country;
    public $postalcode;
    public $org;
    public $owner = null;

    public function __construct(
        $firstname,
        $lastname,
        $phone,
        $email,
        $address1,
        $address2,
        $address3,
        $city,
        $state,
        $country,
        $postalcode,
        $org,
        $owner = null
    ) {
        $this->firstname = $firstname;
        $this->lastname = $lastname;
        $this->phone = $phone;
        $this->email = $email;
        $this->address1 = $address1;
        $this->address2 = $address2;
        $this->address3 = $address3;
        $this->city = $city;
        $this->state = $state;
        $this->country = $country;
        $this->postalcode = $postalcode;
        $this->org = $org;
        $this->owner = $owner;
    }

    public function toArray()
    {
        $owner = $this->owner ? $this->owner : ($this->firstname . ' ' . $this->lastname);

        return [
            'firstname' => $this->firstname,
            'lastname' => $this->lastname,
            'phone' => $this->phone,
            'email' => $this->email,
            'address1' => $this->address1,
            'address2' => $this->address2,
            'address3' => $this->address3,
            'city' => $this->city,
            'state' => $this->state,
            'country' => $this->country,
            'postalcode' => $this->postalcode,
            'org' => $this->org,
            'owner' => $owner,
        ];
    }
}
